Need i2400m-fw-usb-1.5.sbcf for i2400m_usb

Bug #689753 reported by resplin on 2010-12-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Unassigned
Maverick
Medium
Tim Gardner

Bug Description

Binary package hint: linux-firmware

When I boot up I get the following errors:

[ 35.912896] i2400m_usb 2-1.3:1.0: WiMAX interface wmx0 (00:1d:e1:36:0b:56) ready
[ 35.914152] i2400m_usb 2-1.3:1.0: fw i6050-fw-usb-1.5.sbcf: cannot load file: -2
[ 35.914179] i2400m_usb 2-1.3:1.0: Could not find a usable firmware image
[ 35.914200] i2400m_usb 2-1.3:1.0: cannot bootstrap device: -2

But I only have these two firmware installed from the linux-firmware package:

/lib/firmware/i2400m-fw-usb-1.3.sbcf
/lib/firmware/i2400m-fw-usb-1.4.sbcf

I think the latest firmware needs to be added to the package from:

http://linuxwimax.org/Download?action=AttachFile&do=get&target=i2400m-fw-1.5.0.tar.bz2

Others are also having this issue, as seen from this thread from the forums:

http://www1.ubuntuforums.org/showthread.php?p=10169876

Running Kubuntu Maverick on a Lenovo W510.

Tim Gardner (timg-tpi) wrote :

SRU Justification

Impact: Linux 2.6.35 requires new firmware files for some Intel wimax adapters

Patch Description: Add 2 new firmware files

There is no possibility for regression since both firmware files are new, e.g., i2400m-fw-usb-1.5.sbcf and i6050-fw-usb-1.5.sbcf

Changed in linux-firmware (Ubuntu):
status: New → Invalid
Changed in linux-firmware (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
importance: Undecided → Medium
milestone: none → maverick-updates
status: New → Fix Committed
Jonathan Riddell (jr) wrote :

Needs debdiff
Needs test case
Needs approval from ubuntu-sru

Accepted linux-firmware into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

resplin (resplin) wrote :

Tested. The firmware appears correctly, and the errors on bootup went away. Now I get this message:

WiMAX interface wmx0 . . . ready

Thank you for the help!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.38.3

---------------
linux-firmware (1.38.3) maverick-proposed; urgency=low

  * iwlwifi: add new firmware for 6030 devices
    17.168.5.1 iwlwifi-6000g2b-5.ucode
    - LP: #697768

linux-firmware (1.38.2) maverick-proposed; urgency=low

  * iwlwifi: 17.168.5.1 iwlwifi-6000g2a-5.ucode
    - LP: #690222

  * iwlwifi: 41.28.5.1 iwlwifi-6050-5.ucode
    - LP: #690222

linux-firmware (1.38.1) maverick-proposed; urgency=low

  [ Upstream ]

  * wimax: update WiMAX firmwares for 2.6.35
    - LP: #689753
 -- Tim Gardner <email address hidden> Wed, 05 Jan 2011 10:53:47 -0700

Changed in linux-firmware (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers